{% if dest_path != src_path %}
  {% set src_path_c = src_path %}

  {% if dest_path == '/'  %}
    {% set src_path_c = src_path+'/' %}
  {% endif %}

  proxy_redirect "{{dest_path}}" "{{src_path_c}}";
  proxy_cookie_path ~{{dest_path}}(.*) "{{src_path_c}}$1";
{% endif %}

proxy_redirect "{{mapping['has as destination']}}" "{{mapping['has as source']}}";
proxy_redirect "https://ecas.cc.cec.eu.int:7002/cas" "https://ecas.ec.europa.eu/cas";

{% if mapping["has standard rewrites"] is not none and mapping["has standard rewrites"] == "true" %}
  sub_filter_once off;
  sub_filter "{{ mapping['has as destination'] }}" "{{ mapping['has as source'] }}";

  {% if dest_path != src_path %}
    sub_filter "src='{{ dest_path }}"       "src='{{ src_path_c  }}";
    sub_filter 'src="{{ dest_path }}'       'src="{{ src_path_c  }}';
    sub_filter "href='{{ dest_path }}"      "href='{{ src_path_c  }}";
    sub_filter 'href="{{ dest_path }}'      'href="{{ src_path_c  }}';
    sub_filter "action='{{ dest_path }}"    "action='{{ src_path_c  }}";
    sub_filter 'action="{{ dest_path }}'    'action="{{ src_path_c  }}';
  {% endif %}
{% endif %}

{# {% if dest_path != src_path %} #}
{#   rewrite {{ src_path }}(.*) {{ dest_path }}$1  break; #}
{# {% endif %} #}
